be.fgov.ehealth.rn.baselegaldata.v1

## Class AbstractOptionalBirthType

- java.lang.Object
- - be.fgov.ehealth.rn.baselegaldata.v1.AbstractOptionalBirthType

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    BirthInfoBaseType, BirthInfoWithStatusAndSourceType, BirthInfoWithUpdateStatusType

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-23T10:16:48+01:00",
                 comments="JAXB RI v2.3.7")
      public abstract class AbstractOptionalBirthType
      extends Object
      implements Serializable

  Java class for AbstractOptionalBirthType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="AbstractOptionalBirthType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <group ref="{urn:be:fgov:ehealth:rn:baselegaldata:v1}BirthGroup" minOccurs="0"/>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractOptionalBirthType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ActType` | `getActType()` Gets the value of the actType property.
    `String` | `getBirthDate()` Gets the value of the birthDate property.
    `LocationType` | `getBirthPlace()` Gets the value of the birthPlace property.
    `void` | `setActType(ActType value)` Sets the value of the actType property.
    `void` | `setBirthDate(String value)` Sets the value of the birthDate property.
    `void` | `setBirthPlace(LocationType value)` Sets the value of the birthPlace property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractOptionalBirthType

          public AbstractOptionalBirthType()

  - ### Method Detail

    - #### getBirthDate

          public String getBirthDate()

      Gets the value of the birthDate property.
      Returns:
        possible object is `String`

    - #### setBirthDate

          public void setBirthDate(String value)

      Sets the value of the birthDate property.
      Parameters:
        `value` - allowed object is `String`

    - #### getBirthPlace

          public LocationType getBirthPlace()

      Gets the value of the birthPlace property.
      Returns:
        possible object is `LocationType`

    - #### setBirthPlace

          public void setBirthPlace(LocationType value)

      Sets the value of the birthPlace property.
      Parameters:
        `value` - allowed object is `LocationType`

    - #### getActType

          public ActType getActType()

      Gets the value of the actType property.
      Returns:
        possible object is `ActType`

    - #### setActType

          public void setActType(ActType value)

      Sets the value of the actType property.
      Parameters:
        `value` - allowed object is `ActType`

Connector Packaging PERSNURSE 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.